Skip to main content

Instance Custom Nodes Actions

https://api.losant.com/instances/INSTANCE_ID/nodes

Below are the various requests that can be performed against the Instance Custom Nodes resource, as well as the expected parameters and the potential responses.

Get​

Returns the Custom Nodes for an instance

Method And Url​

GET https://api.losant.com/instances/INSTANCE_ID/nodes

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceCustomNodes.*, or instanceCustomNodes.get.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec7417ae143cd83dc4a96

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=key
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*node

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/nodes

Successful Responses​

CodeTypeDescription
200Instance Custom NodesCollection of Custom Nodes

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Post​

Create a new Custom Node for an instance

Method And Url​

POST https://api.losant.com/instances/INSTANCE_ID/nodes

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.User, all.User.bounded, instanceCustomNodes.*, or instanceCustomNodes.post.

Request Path Components​

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec7417ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Instance Custom Node Post schema. For example, the following would be a valid body for this request:

{
"name": "My New Instance Custom Node",
"description": "Description of my new instance custom node",
"triggers": [
{
"type": "customNodeStart",
"meta": {
"category": "trigger",
"name": "customNodeStart"
}
}
],
"nodes": [
{
"type": "CustomNodeCapNode",
"meta": {
"name": "CustomNodeCapNode"
}
}
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My New Instance Custom Node","description":"Description of my new instance custom node","triggers":[{"type":"customNodeStart","meta":{"category":"trigger","name":"customNodeStart"}}],"nodes":[{"type":"CustomNodeCapNode","meta":{"name":"CustomNodeCapNode"}}]}' \
https://api.losant.com/instances/INSTANCE_ID/nodes

Successful Responses​

CodeTypeDescription
201Instance Custom NodeThe successfully created Custom Node

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instance Custom Node​

        Schema for a single Instance Custom Node

        Instance Custom Node Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 25 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 2 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 3 keys
                                              • ▶
                                                {} 2 keys
                                                • ▶
                                                  {} 4 keys
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 3 keys
                                                            • ▶
                                                              {} 4 keys

                                                          Instance Custom Node Example​

                                                          • ▶
                                                            {} 11 keys
                                                            • "575ed18f7ae143cd83dc4aa6"
                                                            • "575ed18f7ae143cd83dc4aa6"
                                                            • "575ec8687ae143cd83dc4a97"
                                                            • "2016-06-13T04:00:00.000Z"
                                                            • "2016-06-13T04:00:00.000Z"
                                                            • "My Instance Custom Node"
                                                            • "Description of my instance custom node"
                                                            • ▶
                                                              [] 1 item
                                                              • ▶
                                                                [] 1 item
                                                                • ▶
                                                                  {} 1 key
                                                                  • ▶
                                                                    {} 2 keys

                                                                  Instance Custom Node Post​

                                                                  Schema for the body of an Instance Custom Node creation request

                                                                  Instance Custom Node Post Schema​

                                                                  • ▶
                                                                    {} 6 keys
                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                    • "object"
                                                                    • ▶
                                                                      {} 11 keys
                                                                      • ▶
                                                                        {} 3 keys
                                                                        • ▶
                                                                          {} 2 keys
                                                                          • ▶
                                                                            {} 2 keys
                                                                            • ▶
                                                                              {} 1 key
                                                                              • ▶
                                                                                {} 2 keys
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 2 keys
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 4 keys
                                                                                          • ▶
                                                                                            {} 3 keys
                                                                                          • ▶
                                                                                            {} 1 key
                                                                                            • 25
                                                                                            • ▶
                                                                                              [] 3 items

                                                                                            Instance Custom Node Post Example​

                                                                                            • ▶
                                                                                              {} 4 keys
                                                                                              • "My New Instance Custom Node"
                                                                                              • "Description of my new instance custom node"
                                                                                              • ▶
                                                                                                [] 1 item
                                                                                                • ▶
                                                                                                  [] 1 item

                                                                                                Instance Custom Nodes​

                                                                                                Schema for a collection of Custom Nodes within an instance

                                                                                                Instance Custom Nodes Schema​

                                                                                                • ▶
                                                                                                  {} 3 keys
                                                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                                                  • "object"
                                                                                                  • ▶
                                                                                                    {} 10 keys
                                                                                                    • ▶
                                                                                                      {} 2 keys
                                                                                                      • ▶
                                                                                                        {} 2 keys
                                                                                                        • ▶
                                                                                                          {} 1 key
                                                                                                          • ▶
                                                                                                            {} 1 key
                                                                                                            • ▶
                                                                                                              {} 1 key
                                                                                                              • ▶
                                                                                                                {} 1 key
                                                                                                                • ▶
                                                                                                                  {} 1 key
                                                                                                                  • ▶
                                                                                                                    {} 1 key
                                                                                                                    • ▶
                                                                                                                      {} 1 key
                                                                                                                      • ▶
                                                                                                                        {} 2 keys

                                                                                                                    Instance Custom Nodes Example​

                                                                                                                    • ▶
                                                                                                                      {} 8 keys
                                                                                                                      • ▶
                                                                                                                        [] 1 item
                                                                                                                        • 1
                                                                                                                        • 4
                                                                                                                        • 1
                                                                                                                        • 0
                                                                                                                        • "name"
                                                                                                                        • "asc"
                                                                                                                        • "575ec8687ae143cd83dc4a97"

                                                                                                                      Was this page helpful?


                                                                                                                      Still looking for help? You can also search the Losant Forums or submit your question there.